complete -c below -n "__fish_use_subcommand" -l config -r
complete -c below -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c below -n "__fish_use_subcommand" -s d -l debug
complete -c below -n "__fish_use_subcommand" -f -a "live" -d 'Display live system data (interactive) (default)'
complete -c below -n "__fish_use_subcommand" -f -a "record" -d 'Record local system data (daemon mode)'
complete -c below -n "__fish_use_subcommand" -f -a "replay" -d 'Replay historical data (interactive)'
complete -c below -n "__fish_use_subcommand" -f -a "debug" -d 'Debugging facilities (for development use)'
complete -c below -n "__fish_use_subcommand" -f -a "dump" -d 'Dump historical data into parseable text format'
complete -c below -n "__fish_use_subcommand" -f -a "snapshot" -d 'Create a historical snapshot file for a given time range'
complete -c below -n "__fish_use_subcommand" -f -a "generate-completions" -d 'Generate a shell completions file'
complete -c below -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c below -n "__fish_seen_subcommand_from live" -s i -l interval-s -r
complete -c below -n "__fish_seen_subcommand_from live" -s s -l host -d 'Supply hostname to activate remote viewing' -r
complete -c below -n "__fish_seen_subcommand_from live" -l port -d 'Override default port to connect remote viewing to' -r
complete -c below -n "__fish_seen_subcommand_from live" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from record" -s i -l interval-s -r
complete -c below -n "__fish_seen_subcommand_from record" -l retain-for-s -d 'Store retention in seconds. Data is stored in 24 hour shards. Whever an entire shard of data is outside the retention period it is discarded. That is, any data older than retention + 24 hours is guaranteed to be discarded' -r
complete -c below -n "__fish_seen_subcommand_from record" -l store-size-limit -d 'Store size limit in bytes. Data is stored in 24 hour shards. Shards before the active shard are deleted, oldest first, according to the size limit. Enforcement is only triggered on new shard creation' -r
complete -c below -n "__fish_seen_subcommand_from record" -l port -d 'Override default port for remote viewing server' -r
complete -c below -n "__fish_seen_subcommand_from record" -l skew-detection-threshold-ms -d 'Threshold for hold long data collection takes to trigger warnings' -r
complete -c below -n "__fish_seen_subcommand_from record" -l dict-compress-chunk-size -d 'Only valid when used with --compress. Must be at least 2, a power of 2, and at most 32768' -r
complete -c below -n "__fish_seen_subcommand_from record" -l collect-io-stat -d 'Whether or not to collect io.stat for cgroups which could be expensive'
complete -c below -n "__fish_seen_subcommand_from record" -l disable-disk-stat -d 'Flag to disable disk_stat collection'
complete -c below -n "__fish_seen_subcommand_from record" -l disable-exitstats -d 'Flag to disable eBPF-based exitstats'
complete -c below -n "__fish_seen_subcommand_from record" -l compress -d 'Enable zstd data file compression'
complete -c below -n "__fish_seen_subcommand_from record" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from replay" -s t -l time -d 'Time string specifying the replay starting point, e.g. "1 day ago"{n}
Keywords: now, today, yesterday{n}
Relative: {humantime} ago, e.g. "2 days 3 hr 15m 10sec ago"{n}
Relative short: Mixed {time_digit}{time_unit_char} E.g. 10m, 3d2h, 5h30s. Case insensitive.{n}
Absolute: "Jan 01 23:59", "01/01/1970 11:59PM", "1970-01-01 23:59:59"{n}
Unix Epoch: 1589808367
_' -r
complete -c below -n "__fish_seen_subcommand_from replay" -s s -l host -d 'Supply hostname to activate remote viewing' -r
complete -c below -n "__fish_seen_subcommand_from replay" -l port -d 'Override default port to connect remote viewing to' -r
complete -c below -n "__fish_seen_subcommand_from replay" -s r -d 'Days adjuster: y[y...] for yesterday (repeated).
Each "y" will deduct 1 day from the input of "--time/-t"{n}
Examples:
* Yesterday at 2 pm: below replay -r y -t 2:00pm
* 09/01/2020 17:00: below replay -r yy -t "09/03/2020 17:00"' -r
complete -c below -n "__fish_seen_subcommand_from replay" -l snapshot -d 'Replay from a snapshot file generated by the snapshot command instead of from the store directory' -r
complete -c below -n "__fish_seen_subcommand_from replay" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from dump-store; and not __fish_seen_subcommand_from convert-store; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from dump-store; and not __fish_seen_subcommand_from convert-store; and not __fish_seen_subcommand_from help" -f -a "dump-store"
complete -c below -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from dump-store; and not __fish_seen_subcommand_from convert-store; and not __fish_seen_subcommand_from help" -f -a "convert-store" -d 'Convert frames from an existing store and write them to a new store. This can be used to test compression/serialization formats'
complete -c below -n "__fish_seen_subcommand_from debug; and not __fish_seen_subcommand_from dump-store; and not __fish_seen_subcommand_from convert-store; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from dump-store" -s t -l time -d 'Time string to dump data for (same format as Replay mode)' -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from dump-store" -s j -l json -d 'Pretty print in JSON'
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from dump-store" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -s b -l begin -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -s e -l end -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l duration -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l from-store-dir -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l to-store-dir -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -s s -l host -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l port -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l dict-compress-chunk-size -d 'Only valid when used with --compress. Must be at least 2, a power of 2, and at most 32768' -r
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -l compress -d 'Enable zstd data file compression'
complete -c below -n "__fish_seen_subcommand_from debug; and __fish_seen_subcommand_from convert-store" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -s s -l host -d 'Supply hostname to activate remote dumping' -r
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -l port -d 'Override default port to connect remote dumping to' -r
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -l snapshot -d 'Dump from a snapshot file generated by the snapshot command instead of from the store directory' -r
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "system" -d 'Dump system stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "disk" -d 'Dump disk stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "btrfs" -d 'Dump btrfs Stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "process" -d 'Dump process stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "cgroup" -d 'Dump cgroup stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "iface" -d 'Dump the link layer iface stats'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "network" -d 'Dump the network layer stats including ip and icmp'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "transport" -d 'Dump the transport layer stats including tcp and udp'
complete -c below -n "__fish_seen_subcommand_from dump; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from disk; and not __fish_seen_subcommand_from btrfs; and not __fish_seen_subcommand_from process; and not __fish_seen_subcommand_from cgroup; and not __fish_seen_subcommand_from iface; and not __fish_seen_subcommand_from network; and not __fish_seen_subcommand_from transport; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s p -l pattern -d 'Saved pattern in the dumprc file under [system] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from system" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s s -l select -d 'Select field for operation, use with --sort, --rsort, --filter, --top' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s p -l pattern -d 'Saved pattern in the dumprc file under [disk] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from disk" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s s -l select -d 'Select field for operation, use with --sort, --rsort, --filter, --top' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s p -l pattern -d 'Saved pattern in the dumprc file under [btrfs] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from btrfs" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s s -l select -d 'Select field for operation, use with --sort, --rsort, --filter, --top' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s p -l pattern -d 'Saved pattern in the dumprc file under [process] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from process" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s s -l select -d 'Select field for operation, use with --sort, --rsort, --filter, --top' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s p -l pattern -d 'Saved pattern in the dumprc file under [cgroup] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from cgroup" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s s -l select -d 'Select field for operation, use with --filter' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s p -l pattern -d 'Saved pattern in the dumprc file under [iface] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from iface" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s p -l pattern -d 'Saved pattern in the dumprc file under [network] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from network" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s f -l fields -d 'Select which fields to display and in what order' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l duration -d 'Time string specifying the duration, e.g. "10 min"{n} Keywords: days min, h, sec{n} Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n} _' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s F -l filter -d 'Take a regex and apply to --select selected field. See command level doc for example' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l top -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l repeat-title -d 'Repeat title, for each N line, it will render a line of title. Only for raw output format' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s O -l output-format -d 'Output format. Choose from raw, csv, tsv, kv, json, openmetrics. Default to raw' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s o -l output -d 'Output destination, default to stdout' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s r -d 'Days adjuster, same as -r option in replay' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l br -d 'Line break symbol between samples' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s p -l pattern -d 'Saved pattern in the dumprc file under [transport] section' -r
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l default -d 'Show all top layer fields. If --default is specified, it overrides any specified fields via --fields'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l everything -d 'Show all fields. If --everything is specified, --fields and --default are overridden'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s d -l detail -d 'Show more infomation other than default'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l sort -d 'Sort (lower to higher) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l rsort -d 'Sort (higher to lower) by --select selected field. See command level doc for example'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l disable-title -d 'Disable title in raw, csv or tsv format output'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -l raw -d 'Dump raw data without units or conversion'
complete -c below -n "__fish_seen_subcommand_from dump; and __fish_seen_subcommand_from transport" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from snapshot" -s b -l begin -d 'Begin time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -s e -l end -d 'End time, same format as replay' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -l duration -d 'Time string specifying the snapshot duration, e.g. "10 min"{n}
Keywords: days min, h, sec{n}
Relative: {humantime}, e.g. "2 days 3 hr 15m 10sec"{n}
_' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -s o -l output -d 'Output file path. Randomized name in current directory if unspecified' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -s s -l host -d 'Supply hostname to take snapshot from remote' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -l port -d 'Override default port to connect to remote' -r
complete -c below -n "__fish_seen_subcommand_from snapshot" -s h -l help -d 'Print help information'
complete -c below -n "__fish_seen_subcommand_from generate-completions" -s s -l shell -d 'The shell type' -r
complete -c below -n "__fish_seen_subcommand_from generate-completions" -s o -l output -d 'Output file, stdout if not present' -r
complete -c below -n "__fish_seen_subcommand_from generate-completions" -s h -l help -d 'Print help information'
